Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# NSObject+additions documentation

### Authors

Generated by Debian

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the NSObject(STAdditions) category

## NSObject(STAdditions)

> Declared in:
>   StepTalk/NSObject+additions.h

Description forthcoming.

### Method summary

- -isNil
- -isSame:
- -notEqual:
- -notNil
- -notSame:
- -yourself

### isNil

- (BOOL) isNil;
Description forthcoming.

### isSame:

- (BOOL) isSame: (id)anObject;
Description forthcoming.

### notEqual:

- (BOOL) notEqual: (id)anObject;
Description forthcoming.

### notNil

- (BOOL) notNil;
Description forthcoming.

### notSame:

- (BOOL) notSame: (id)anObject;
Description forthcoming.

### yourself

- (id) yourself;
Description forthcoming.

Up